/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package exemplopilha;

/**
 *
 * @author 42071420684
 */
public interface IPilha<T> {    
    public boolean vazia();
    public void push(T val)  throws PilhaException;
    public T pop()           throws PilhaException;
    public T top()           throws PilhaException;
    public IPilhaIterator<T> iterador();
}
